corda / net.corda.node.services.network / NetworkMapService / FetchMapRequest

# FetchMapRequest

`class FetchMapRequest : ServiceRequestMessage`

### Constructors

<init> | `FetchMapRequest(subscribe: Boolean, ifChangedSinceVersion: Int?, replyTo: SingleMessageRecipient, sessionID: Long = random63BitValue())`

### Properties

ifChangedSinceVersion | `val ifChangedSinceVersion: Int?`
replyTo | `val replyTo: SingleMessageRecipient`
sessionID | `val sessionID: Long`
subscribe | `val subscribe: Boolean`